Subject: Re: [PATCH] [NAND] driver extension to support NAND on TQM85xx modules

From: Wolfgang Grandegger <[email-masked]>
Date: Fri, 30 May 2008 15:57:10 +0200

Kumar Gala wrote:
> 
> On May 30, 2008, at 1:36 AM, Wolfgang Grandegger wrote:
> 
>> This patch extends the FSL UPM NAND driver from Anton Vorontsov to
>> support for the TQM85xx modules. Unfortunately, the hardware does
>> not support the R/B pins of the NAND chip and therefore the specified
>> maximum delay time must used. It therefore re-introduces the chip-delay
>> property.
>>
>> Note: this patch is based on a patch Anton Vorontsov posted to this list:
>>      See http://ozlabs.org/pipermail/linuxppc-dev/2008-April/055587.html.
>>      It should show up mainstream soon.
>>
>> Signed-off-by: Wolfgang Grandegger <[email-masked]>
>> ---
>> drivers/mtd/nand/Kconfig   |    2 +-
>> drivers/mtd/nand/fsl_upm.c |   30 +++++++++++++++++++++---------
>> include/linux/of_gpio.h    |    2 +-
>> 3 files changed, 23 insertions(+), 11 deletions(-)
> 
> You really need to CC the MTD list as this should go via them.  Also
> you're adding a new property and there should be updates to
> booting-w-o-f for it.

OK. There are various patches pending for booting-w-o-f including
"[PATCH 6/7] [POWERPC] booting-without-of: add FHCI USB, FSL MCU,
FSL UPM and GPIO LEDs bindings" from Anton. What tree should the patches
for NAND and 85xx be based on for kernel inclusion?

Wolfgang.